class AdImage
  include Mongoid::Document
  include Mongoid::Timestamps
  include OrbitTag::Taggable

  mount_uploader :file, ImageUploader

  field :title, localize: true
  field :context, localize: true  
  field :to_save, :type => Boolean
  field :to_destroy, :type => Boolean

  
  field :direct_to_after_click,type: Boolean
  
  field :weight ,type: Integer ,default: 1
  field :out_link #the link itself
  field :link_open #how will the link be opened
  LINK_OPEN_TYPES = ["new_window","local"]
  
  field :post_date,type: Date
  field :unpost_date,type: Date
    
  belongs_to :ad_banner

  before_validation :add_http
  validates :out_link, :format => /^(http|https):\/\/(([a-z0-9]+([\-\.]{1}[a-z0-9]+)*\.[a-z]{2,5})|((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?))(:[0-9]{1,5})?(\/.*)?/i, :allow_blank => true

  def display?
    if (self.post_date <= Date.today && (self.unpost_date.nil? || self.unpost_date>= Date.today) rescue false) 
      return true
    end
      return false
  end


  def get_delay_time
    time = ''
    if self.time_to_next.nil?
      time = '1000'
    else
      time = (self.time_to_next.to_i * 1000).to_s
    end
    time
  end

  protected

  def add_http
    unless self.out_link[/^http:\/\//] || self.out_link[/^https:\/\//] || self.out_link.blank?
      self.out_link = 'http://' + self.out_link
    end
  end
end
