class Link < Item
  
  field :url
  
  validates :url, :presence => true, :format => /^(http|https):\/\/(([a-z0-9]+([\-\.]{1}[a-z0-9]+)*\.[a-z]{2,5})|((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?))|localhost(:[0-9]{1,5})?(\/.*)?/i

	before_validation :add_http

  def link
    ApplicationController.helpers.link_to(self.name, self.url)
  end

  protected

	def add_http
	  unless self.url[/^(http|https):\/\//] || self.url.blank?
	    self.url = 'http://' + self.url
	  end
	end
    
end
