class Panel::CalendarNew::BackEnd::EventCategoriesController < OrbitBackendController
 include AdminHelper
 
  # GET /events
  # GET /events.json
  def index
    @event_categories = EventCategory.all

    respond_to do |format|
      format.html # index.html.erb
      format.json { render json: @event_categories }
    end
  end

  # GET /events/1
  # GET /events/1.json
  def show
    @event_category = EventCategory.find(params[:id])

    respond_to do |format|
      format.html # show.html.erb
      format.json { render json: @event_category }
    end
  end

  # GET /events/new
  # GET /events/new.json
  def new
    @event_category = EventCategory.new
    respond_to do |format|
      format.html # new.html.erb
      format.json { render json: @event_category }
    end
  end

  # GET /events/1/edit
  def edit
    @event_category = EventCategory.find(params[:id])
  end

  def create
    @event_category = EventCategory.new(params[:event_category])

    respond_to do |format|
      if @event_category.save
        format.html { redirect_to panel_calendar_new_back_end_event_categories_path, notice: 'Category was successfully created.' }
        format.json { render json: @event_category, status: :created, location: @event_category }
      else
        format.html { render action: "new" }
        format.json { render json: @event_category.errors, status: :unprocessable_entity }
      end
    end
  end

  def update
    @event_category = EventCategory.find(params[:id])

    respond_to do |format|
      if @event_category.update_attributes(params[:event_category])
        format.html { redirect_to panel_calendar_new_back_end_event_categories_path, notice: 'Category was successfully updated.' }
        format.json { head :no_content }
        #format.js
      else
        format.html { render action: "edit" }
        format.json { render json: @event_category.errors, status: :unprocessable_entity }
        #format.js
      end
    end
  end

  def destroy
    @event_category = EventCategory.find(params[:id])
    @event_category.destroy

    respond_to do |format|
      format.html { redirect_to panel_calendar_new_back_end_event_categories_path }
      format.json { head :no_content }
    end
  end

end